import { defineStore } from 'pinia'
import { ref } from 'vue'
import type { CustomIndicatorMetadata } from './indicators'

export interface CustomIndicatorType {
  pandas_ta_name: string
  display_name: string
  description?: string
  metadata: CustomIndicatorMetadata
  created_at: number
  modified_at: number
}

export const useIndicatorTypesStore = defineStore('indicator_types', () => {
  const types = ref<Record<string, CustomIndicatorType>>({})
  return { types }
})
